Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.span
Class InvisibleSpan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Span
                  multivalent.std.span.InvisibleSpan

All Implemented Interfaces:
  ContextListener, EventListener, java.util.EventListener

public class InvisibleSpan
extends Span

Span for setting invisible text (foreground==background).

Version:
  $Revision: 1.2 $ $Date: 2002/02/02 13:16:27 $

Field Summary
`java.lang.Object` | `bogus`

Fields inherited from class multivalent.Span
`GI_END, GI_START, MSG_DELETE, MSG_EDIT, MSG_MORPH, MSG_UNATTACHED, pend, pstart`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`InvisibleSpan()`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.

Methods inherited from class multivalent.Span
`buildAfter, checkRep, close, closeAll, contains, contains, destroy, event, getEnd, getPriority, getStart, isSet, markDirty, move, move, move, moveq, moveq, moveq, moveqSwap, open, repaint, repaint, restore, save, semanticEventAfter, semanticEventBefore, stretch, toString`

Methods inherited from class multivalent.Behavior
`buildBefore, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, setName, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bogus

    public java.lang.Object bogus

Constructor Detail

### InvisibleSpan

    public InvisibleSpan()

Method Detail

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Description copied from interface: `ContextListener`
  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Span`
    `all` - all attributes or exclude those that are not inherited

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD